## discover-data 2.2010.06.05

=== debian/changelog ===
discover-data (2.2010.06.05) unstable; urgency=low

  * Update HW mappings for PCI devices:
     8086:2592: Install i810switch on Lenny and later.
     Made ipw3945-source package entries versioned to Lenny and earlier.
  * Update HW mappings for USB devices:
     04db:005b: Install argyll.
     0670:0001: Install argyll.
     0765:d020: Install argyll.
     0765:d092: Install argyll.
     0765:d094: Install argyll.
     085c:0200: Install argyll.
     085c:0300: Install argyll.
     0971:2000: Install argyll.
     0971:2001: Install argyll.
     0971:2003: Install argyll.
     0971:2005: Install argyll.
     0971:2007: Install argyll (Closes: #583940).
  * Update pci-vendors.xml, pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.
  * Drop obsolete discover1-data binary package.
  * Drop 'ignore' kernel module entries from the USB device list.  The
    kernel module list is not up to date, and it do not make sense to
    list entries to ignore when an empty entry do the same.
  * Extend pci-ids2xml to handle usb.ids too.
  * Extend merge-device-xml to take file names on the command line.
  * Extend Makefile.update to handle USB device updates too.
  * Update usb-device.xml, usb-vendors.xml, usb.lst and usb-26.lst
    from http://www.linux-usb.org/usb.ids.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 05 Jun 2010 13:58:40 +0200

discover-data (2.2010.04.07) unstable; urgency=low

  * Update standards-version from 3.7.3 to 3.8.4.  No changes needed.
  * Add Vcs-Browser entry to control file.
  * Update HW mappings for PCI devices:
     1000:0030: Install mpt-status instead of non-existing mpt-utils.
  * Fix merge-lst-to-xml which was broken with the patch applied
    for bug #468624.
  * Update pci-vendors.xml, pci-devices.xml and pci.lst
    from http://pciids.sourceforge.net/pci.ids.gz.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 07 Apr 2010 20:54:51 +0200

=== debian/control ===
Source: discover-data
Section: libs
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
Build-Depends: debhelper (>= 4.0)
Build-Depends-Indep: python
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-discover/discover-data/trunk/?rev=0&sc=0

Package: discover-data
Architecture: all
Recommends: pciutils (>= 1:2.2.4)
Conflicts: libdiscover2 (<< 2.0.4-4)
Description: Data lists for Discover hardware detection system
 The Discover hardware detection library uses XML data files to describe
 software interfaces to various ATA, PCI, PMCMIA, SCSI, and USB devices.
 While the Discover library can retrieve data from anywhere on the net, it is
 often convenient to have a set of Discover XML data files on one's system;
 thus, this package.

## discover-data 2.2010.10.18

=== debian/changelog ===
discover-data (2.2010.10.18) unstable; urgency=low

  * Update HW mappings for PCI devices:
     8086:2592 and
     8086:3582: do not install i810switch after Lenny.  Based on
       feedback from Julien Cristau
  * Avoid changes made in last upload to keep lintian quiet that are
    likely to make the release team reject this package for Squeeze:
    - Undo debhelper compatibility level change (7 back to 4).
    - Undo changes to get suggests on python.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 18 Oct 2010 19:28:31 +0200

discover-data (2.2010.10.14) unstable; urgency=low

  * Update HW mappings for PCI devices:
     8086:3582: install i810switch.
     80ee:beef: Install virtualbox-ose-guest-x11.
     Made ipw3945-source and ipw3945d package entries versioned to
     Etch and earlier (Closes: #583993).
  * Update HW mappings for USB devices:
     04e8:323a: Install splix.
     04e8:323b: Install splix.
     04e8:323d: Install splix.
     04e8:3242: Install splix.
     04e8:324c: Install splix.
     04e8:324d: Install splix.
     04e8:325b: Install splix.
     04e8:325f: Install splix.
     04e8:3260: Install splix.
     04e8:3268: Install splix.
     04e8:3276: Install splix.
     04e8:341b: Install splix.
     04e8:3426: Install splix (Closes: #595100).
  * Add depends on ${misc:Depends} to keep debhelper and lintian happy.
  * Raise debhelper compatibility level from 4 to 7.
  * Suggest python dependencies needed to update the data files.  These
    are only useful for the tools, and not needed for users of the data.
  * Update standards-version from 3.8.4 3.9.1.  No change needed.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 14 Oct 2010 23:07:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
 Build-Depends: debhelper (>= 4.0)
 Build-Depends-Indep: python
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-discover/discover-data/trunk/?rev=0&sc=0
 
 Package: discover-data
 Architecture: all
+Depends: ${misc:Depends}
 Recommends: pciutils (>= 1:2.2.4)
 Conflicts: libdiscover2 (<< 2.0.4-4)
 Description: Data lists for Discover hardware detection system

## discover-data 2.2013.01.11

=== debian/changelog ===
discover-data (2.2013.01.11) unstable; urgency=low

  * Update HW mappings for USB devices:
     1130:0202: Install package pymissile.
     091e:0003: Install packages gpsbabel, gpsbabel-gui, gpsman,
     		gpstrans, mkgmap, qlandkartegt, qlandkartegt-garmin
     		and viking.
     04b4:fd10, 04b4:fd11, 04b4:fd12 and 04b4:fd13: Install sispmctl
     		(Closes: #697839)
  * Revert changed input charmap for usb.ids from UTF-8 to ISO-8859-1.
    It is not using the same charmap as pci.ids.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Jan 2013 11:16:53 +0100

discover-data (2.2013.01.09) unstable; urgency=low

  * Update HW mappings for PCI devices:
     14e4:4320: Install b43-fwcutter to get required firmware.
     1011:0019: Remove incorrect de4x5 kernel module, as discover is
                not used for kernel module loading any more (Closes:
                #394032).
     1000:0030: Do not install package mpt-status, as the ID is used
     		in VMWare machines without RAID support (Closes: #618572).
  * Update HW mappings for USB devices:
     1050:0010: Install package yubikey-personalization.
     0694:0001: Install package nqc.
     0694:0002: Install package python-nxt, nbc and t2n.
  * Adjust Makefile.update rule to update PCI entries, to make sure
    pci.ids only contain ASCII characters.
  * Correct input charmap for usb.ids from ISO-8859-1 to UTF-8.
  * Update pci-vendors.xml and pci-devices.xml from
    http://pciids.sourceforge.net/pci.ids.gz.
  * Update usb-device.xml, usb-vendors.xml, usb.lst and usb-26.lst
    from http://www.linux-usb.org/usb.ids (Closes: #672316).
  * Update debhelper level from 4 to 8 to move to a supported debhelper
    level.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 09 Jan 2013 14:03:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
-Build-Depends: debhelper (>= 4.0)
+Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: python
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk

=== debian/rules ===
#!/usr/bin/make -f

# $Progeny$

PACKAGE=$(shell dh_listpackages)
LPACKAGE=$(shell dh_listpackages)
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)

build: build-stamp
build-stamp:
#	This package is so insanely simple, we have nothing to do here.
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean

	make install \
		prefix=/usr \
		hwlistsdir=/lib/discover \
		DESTDIR=$(CURDIR)/debian/discover-data

	# reportbug helper script
	mkdir -p $(CURDIR)/debian/discover-data/usr/share/bug
	install -m 755 debian/discover-data.bug $(CURDIR)/debian/discover-data/usr/share/bug/discover-data

binary-arch: build install

binary-indep: build install $(PACKAGE)
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

$(PACKAGE): build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol

binary: binary-indep
PHONY: build clean binary binary-indep $(PACKAGE) install

## discover-data 2.2013.01.11ubuntu1

=== debian/changelog ===
discover-data (2.2013.01.11ubuntu1) focal; urgency=medium

  * Build using python3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 12:42:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
 Build-Depends: debhelper (>= 8)
-Build-Depends-Indep: python
+Build-Depends-Indep: python3
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-discover/discover-data/trunk/?rev=0&sc=0

## discover-data 2.2013.01.11+nmu1

=== debian/changelog ===
discover-data (2.2013.01.11+nmu1) unstable; urgency=medium

  [ Holger Levsen ]
  * Non maintainer upload by the Reproducible Builds team.
  * Source upload to rebuild on buildd with .buildinfo files.
  * Switch to python3. Closes:  #967126
  * Confirm using diffoscope that the janitor made changes below result in
    sensible changes in the binaries being built.
  * Drop Vcs- headers as they pointed to alioth/svn.

  [ Debian Janitor ]
  * Add missing debian/rules targets build-indep, build-arch.
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 2.2007.03.22.
  * Trim trailing whitespace.

 -- Holger Levsen <holger@debian.org>  Fri, 15 Jan 2021 20:05:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: python3
 Standards-Version: 3.9.1
-Vcs-Svn: svn://svn.debian.org/pkg-discover/discover-data/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-discover/discover-data/trunk/?rev=0&sc=0
 
 Package: discover-data
 Architecture: all
@@ -20,4 +18,3 @@
  While the Discover library can retrieve data from anywhere on the net, it is
  often convenient to have a set of Discover XML data files on one's system;
  thus, this package.
-

=== debian/rules ===
--- 
+++ 
@@ -61,3 +61,7 @@
 
 binary: binary-indep
 PHONY: build clean binary binary-indep $(PACKAGE) install
+
+build-indep: build
+
+build-arch:

## discover-data 2.2013.01.13

=== Makefile ===
# $Progeny$

prefix = /usr
datadir = $(prefix)/share
execdir = $(datadir)/tools
hwlistsdir = $(datadir)/discover

DESTDIR =

MAJOR=2
DATE=$(shell date +%Y.%m.%d)
VERSION=$(MAJOR).$(DATE)
DISTNAME=discover-data-$(VERSION)

#############################################################
# Kernel values used when generating the discover v1 data set
#############################################################
# Woody = 2.4.27, Sarge = n/a, Etch = n/a
KVERSION_24 = 2.4.27

# Woody = ?, Sarge = 2.6.8, Etch = 2.6.18
KVERSION_26 = 2.6.21

# Woody = 4.2.1 (XFree86), Sarge = 4.3.0 (XFree86), Etch = 7.1 (X.org)
XVER = 7.3
#############################################################

discover_data_EXEC = lst2xml merge-lst-to-xml mkshorthwlist reduce-xml xml2lst \
	discover-updater.pl trim26lst
hwlists_DATA = ata-busclass.xml \
               ata-device.xml \
               ata-vendor.xml \
               pci-busclass.xml \
               pci-device.xml \
               pci-device-deb.xml \
               pci-vendor.xml \
               pcmcia-busclass.xml \
               pcmcia-device.xml \
               pcmcia-vendor.xml \
               scsi-busclass.xml \
               scsi-device.xml \
               scsi-vendor.xml \
               usb-busclass.xml \
               usb-device.xml \
               usb-vendor.xml
GENERATED = list.xml
EXTRA_DIST = Makefile Makefile.update merged_vendor_list.xls \
	ChangeLog README list.xml.in di-kernel-list \
	merge-device-xml pci-ids2xml xml-device-sort.xsl
all: $(discover_data_EXEC) $(hwlists_DATA) $(GENERATED)

list.xml: list.xml.in
	sed s,@HWLISTSDIR@,$(hwlistsdir),g < list.xml.in > list.xml

shortxmllists: $(hwlists_DATA)
	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
		--module-list=./di-kernel-list \
		-i pci-vendor.xml -i pci-busclass.xml -i pci-device.xml \
		-o pci-device-short.xml
	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
		--module-list=./di-kernel-list \
		-i usb-vendor.xml -i usb-busclass.xml -i usb-device.xml \
		-o usb-device-short.xml
	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
		--module-list=./di-kernel-list \
		-i pci-vendor.xml -i pci-busclass.xml -i pci-device.xml \
		-o pci-vendor-short.xml --output-type=vendor
	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
		--module-list=./di-kernel-list \
		-i usb-vendor.xml -i usb-busclass.xml -i usb-device.xml \
		-o usb-vendor-short.xml --output-type=vendor
	./reduce-xml --class-spec=linux:2.4 --class-spec=linux:2.6 \
		--module-list=./di-kernel-list \
		-i scsi-vendor.xml -i scsi-busclass.xml -i scsi-device.xml \
		-o scsi-vendor-short.xml --output-type=vendor

pci.lst: Makefile pci-busclass-v1.xml pci-vendor.xml pci-device.xml
	./xml2lst --previous-file=pci.lst \
		--data-version=linux/module/name:$(KVERSION_24) \
		--data-version=xfree86/server/name:$(XVER) \
		--data-version=xfree86/server/device/driver:$(XVER) \
		-opci-new.lst \
		pci-busclass-v1.xml pci-vendor.xml pci-device.xml
	rm pci.lst
	mv pci-new.lst pci.lst

pci-26.lst: Makefile pci-busclass-v1.xml pci-vendor.xml pci-device.xml
	./xml2lst --previous-file=pci-26.lst \
		--data-version=linux/module/name:$(KVERSION_26) \
		--data-version=xfree86/server/name:2 \
		--data-version=xfree86/server/device/driver:2 \
		-opci-26-new.lst \
		pci-busclass-v1.xml pci-vendor.xml pci-device.xml
# Need to skip video entries, to make sure discover --xdriver find the
# entry in pci.lst
	./trim26lst < pci-26-new.lst > pci-26.lst
	rm pci-26-new.lst

pcmcia.lst: Makefile pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
	./xml2lst --previous-file=pcmcia.lst \
		--data-version=linux/module/name:$(KVERSION_24) \
		--data-version=xfree86/server/name:$(XVER) \
		--data-version=xfree86/server/device/driver:$(XVER) \
		-opcmcia-new.lst \
		pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
	rm pcmcia.lst
	mv pcmcia-new.lst pcmcia.lst

pcmcia-26.lst: Makefile pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
	./xml2lst --previous-file=pcmcia-26.lst \
		--data-version=linux/module/name:$(KVERSION_26) \
		--data-version=xfree86/server/name:2 \
		--data-version=xfree86/server/device/driver:2 \
		-opcmcia-26-new.lst \
		pcmcia-busclass-v1.xml pcmcia-vendor.xml pcmcia-device.xml
	./trim26lst < pcmcia-26-new.lst > pcmcia-26.lst
	rm pcmcia-26-new.lst

usb.lst: Makefile usb-busclass-v1.xml usb-vendor.xml usb-device.xml
	./xml2lst --previous-file=usb.lst \
		--data-version=linux/module/name:$(KVERSION_24) \
		--data-version=xfree86/server/name:$(XVER) \
		--data-version=xfree86/server/device/driver:$(XVER) \
		-ousb-new.lst \
		usb-busclass-v1.xml usb-vendor.xml usb-device.xml
	rm usb.lst
	mv usb-new.lst usb.lst

usb-26.lst: Makefile usb-busclass-v1.xml usb-vendor.xml usb-device.xml
	./xml2lst --previous-file=usb-26.lst \
		--data-version=linux/module/name:$(KVERSION_26) \
		--data-version=xfree86/server/name:2 \
		--data-version=xfree86/server/device/driver:2 \
		-ousb-26-new.lst \
		usb-busclass-v1.xml usb-vendor.xml usb-device.xml
	./trim26lst < usb-26-new.lst > usb-26.lst
	rm usb-26-new.lst

install: $(hwlists_DATA) $(GENERATED)
	install -m 755 -d $(DESTDIR)$(hwlistsdir)
	install -m 644 $(hwlists_DATA) $(GENERATED) $(DESTDIR)$(hwlistsdir)
	install -m 755 -d $(DESTDIR)$(execdir)
	install -m 755 $(discover_data_EXEC) $(DESTDIR)$(execdir)

uninstall:
	for i in $(hwlists_DATA) $(GENERATED); do rm $(DESTDIR)$(hwlistsdir)/$$i; done
	for i in $(discover_data_EXEC); do rm $(DESTDIR)$(execdir)/$$i; done
	-rmdir $(DESTDIR)$(hwlistsdir)
	-rmdir $(DESTDIR)$(execdir)

dist: clean
	rm -rf $(DISTNAME)
	mkdir $(DISTNAME)
	cp $(hwlists_DATA) \
		$(discover_data_EXEC) $(EXTRA_DIST) $(DISTNAME)
	tar cf - $(DISTNAME) | gzip -9 > $(DISTNAME).tar.gz
	md5sum $(DISTNAME).tar.gz > $(DISTNAME).tar.gz.md5sum
	rm -rf $(DISTNAME)

clean::
	rm -f *.xml-short
	rm -f list.xml
	rm -f *~

distclean: clean

.PHONY: all install uninstall dist

=== debian/changelog ===
discover-data (2.2013.01.13) unstable; urgency=medium

  * Rewrite debian/rules using dh, keeping only a few directives.
  * Rename debian/discover-data.bug into debian/discover-data.bug-script
    so that it gets picked up by dh_bugfiles automatically.
  * Delete debian/discover1-data.bug (binary package dropped in 2010).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 09 Jan 2022 10:27:19 +0100

discover-data (2.2013.01.12) unstable; urgency=low

  * Team upload.

  [ Petter Reinholdtsen ]
  * Update HW mappings for USB devices:
     04d8:f8da: Install package colorhug-client from Debian 7 (Wheezy).
     20df:0001: Install package ekeyd.
  * Correct Vcs-Browser link in control file.

  [ Samuel Thibault ]
  * Update vcs links to git salsa
  * control: Remove Otavio Salvador and Gaudenz Steinlin from uploaders
    (Closes: 847267).
  * Migrate to python3.
  * control: Suggest python3.
  * source/format: Set format to native.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Oct 2021 19:10:01 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- hwlistsdir=/lib/discover

override_dh_auto_install:
	dh_auto_install -- hwlistsdir=/lib/discover

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## discover-data 2.2013.01.13+nmu1

=== debian/changelog ===
discover-data (2.2013.01.13+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install files into /usr. (Closes: #1064400)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 14 Jul 2024 15:33:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>, Gaudenz Steinlin <gaudenz@debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>, David Nusinow <dnusinow@debian.org>
 Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: python3
 Standards-Version: 3.9.1
+Vcs-Git: https://salsa.debian.org/installer-team/discover-data.git
+Vcs-Browser: https://salsa.debian.org/installer-team/discover-data
 
 Package: discover-data
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: pciutils (>= 1:2.2.4)
+Suggests: python3
 Conflicts: libdiscover2 (<< 2.0.4-4)
 Description: Data lists for Discover hardware detection system
  The Discover hardware detection library uses XML data files to describe

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- hwlistsdir=/usr/lib/discover

override_dh_auto_install:
	dh_auto_install -- hwlistsdir=/usr/lib/discover

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## discover-data 2.2013.01.13+nmu1build1

=== debian/changelog ===
discover-data (2.2013.01.13+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 20:06:13 +0000
